#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(false);

    long long int t,n,m,k;
    cin >> t;
    vector<string> res;
    for(int i = 0; i < t; i++)
    {
        cin >> n >> m >> k;
        if(k == 1)
        {
            if(m > n || (m == 1 && n == 1))
                res.push_back("Tak");
            else{
                res.push_back("Nie");
            }
        }
        else{
            if(2*m % n == 0)
                res.push_back("Tak");

            else{
                res.push_back("Nie");
            }
        }
    }
    for(int i = 0; i < res.size(); ++i)
    {
        if(i == res.size() - 1)
            cout << res[i];

        else
            cout << res[i] << endl;

    }


    return 0;
}